### Enumeration

# Gtk InterfaceContrast

since: 4.20

#### Declaration

    enum Gtk.InterfaceContrast

#### Description [src]

Values for the `GtkSettings:gtk-interface-contrast` and `GtkCssProvider:prefers-contrast` properties that indicates the preferred level of contrast.

This information can be used inside CSS via media queries.

More values may be added to this enumeration. Unknown values should be treated the same as `GTK_INTERFACE_CONTRAST_NO_PREFERENCE`.

Available since: 4.20

#### Members

`GTK_INTERFACE_CONTRAST_UNSUPPORTED`

  The system doesn’t support contrast levels.

  - Value: `0`
  - Available since: 4.20
`GTK_INTERFACE_CONTRAST_NO_PREFERENCE`

  No particular preference for contrast.

  - Value: `1`
  - Available since: 4.20
`GTK_INTERFACE_CONTRAST_MORE`

  More contrast is preferred.

  - Value: `2`
  - Available since: 4.20
`GTK_INTERFACE_CONTRAST_LESS`

  Less contrast is preferred.

  - Value: `3`
  - Available since: 4.20